org.eclipse.mat.hprof

## Class EnhancerRegistry.Enhancer

- java.lang.Object
- - org.eclipse.mat.hprof.EnhancerRegistry.Enhancer

Enclosing class:
  EnhancerRegistry

    public static class EnhancerRegistry.Enhancer
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`Enhancer(org.eclipse.core.runtime.IConfigurationElement configElement)`

### Method Summary

All Methods Instance Methods Concrete Methods
`IParsingEnhancer` `parser()`
`IRuntimeEnhancer` `runtime()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Enhancer

    public Enhancer(org.eclipse.core.runtime.IConfigurationElement configElement)

### Method Detail

#### parser

    public IParsingEnhancer parser()

#### runtime

    public IRuntimeEnhancer runtime()